Skip to main content

Project management API

Last updated 10/03/2026

For how to call the API, see the calling method described in the Open API document.

We recommend that you first read the AE user guide to learn about the project management features: Project management

1. List user projects​

Note

Get the project list of a user by login name

Endpoint URL

/open/project-list?token=xxx&loginName=test007

Request method

POST

Content-Type

application/json

Request query parameters

Parameter nameExample valueParameter typeRequiredDescription
tokenxxxStringYesQuery key
loginNametest007StringYesLogin name

Success response example

{
"data": [
{
"companyId": 1,
"projectId": 2,
"projectName": "Internal beta project",
"projectType": 0,
"remark": "",
"roleName": "root"
},
{
"companyId": 1,
"projectId": 6,
"projectName": "thinkinggame official website (live)",
"projectType": 0,
"remark": "",
"roleName": "root"
}
],
"return_code": 0,
"return_message": "success"
}
Parameter nameExample valueParameter typeDescription
data-ObjectReturned data
data.companyId1IntegerCompany ID
data.projectId2IntegerProject ID
data.projectNameInternal beta projectStringProject name
data.projectType0Integer

Project type

  • 0: Regular project
  • 1: Chinese DEMO project
  • 2: English DEMO project
data.remark-StringProject remarks
data.roleNamerootStringRole name
return_code0IntegerReturn code
return_messagesuccessStringReturn message

Error response example

{
"return_code": -1999,
"return_message": "Invalid user"
}
Parameter nameExample valueParameter typeDescription
return_code-1999IntegerReturn code
return_messageInvalid userStringReturn message

2. Update project information​

Note

Update project information. Currently, only the project name can be updated

Endpoint URL

/open/project/update-project-info?token=xxx&projectId=2

Request method

POST

Content-Type

application/json

Request query parameters

Parameter nameExample valueParameter typeRequiredDescription
tokenxxxStringYesQuery key
projectId2IntegerYesProject ID

Request body parameters

{
"projectName": "New project name"
}
Parameter nameExample valueParameter typeRequiredDescription
projectNameNew project nameStringYesProject name

Success response example

{
"return_code": 0,
"return_message": "success"
}
Parameter nameExample valueParameter typeDescription
return_code0IntegerReturn code
return_messagesuccessStringReturn message

Error response example

{
"return_code": -1006,
"return_message": "You don't have permission for this operation. Check whether the token value is correct"
}
Parameter nameExample valueParameter typeDescription
return_code-1006IntegerReturn code
return_messageYou don't have permission for this operation. Check whether the token value is correctStringReturn message

3. Create a project and generate an appId​

Note
  • Checks whether the project name already exists. If it does, creation fails and the result shown in the error response example is returned

Endpoint URL

/open/project/generate-project-app-id?token=xxx&projectName=test007&loadHistory=1

Request method

POST

Content-Type

application/json

Request query parameters

Parameter nameExample valueParameter typeRequiredDescription
tokenxxxStringYesQuery key
projectNametest007StringYesProject name
loadHistory1IntegerYes

Whether to turn on historical data import mode

  • 0: Off
  • 1: On

curl example

curl -X POST --header 'Content-Type: application/json' --header 'Accept: application/json' 'http://ta2:8992/open/project/generate-project-app-id?token=YOUR_TOKEN&projectName=test1222&loadHistory=1'

Success response example

{
"data": {
"appid": "2ec39af5e0db4be2a1371b44a7cbedc5",
"projectId": 2535
},
"return_code": 0,
"return_message": "success"
}
Parameter nameExample valueParameter typeDescription
data-ObjectReturned data
data.appid2ec39af5e0db4be2a1371b44a7cbedc5Stringappid
data.projectId2535IntegerProject ID
return_code0IntegerReturn code
return_messagesuccessStringReturn message

Error response example

{
"return_code": -1015,
"return_message": "test007 already exists"
}
Parameter nameExample valueParameter typeDescription
return_code-1015IntegerReturn code
return_messagetest007 already existsStringReturn message
Was this page helpful?